/******************************************************************************
 * SDELIB.H                                                                   *
 *                                                                            *
 * Synchronous Data Exchange                                                  *
 *                                                                            *
 * 'C' interface routines to the SDE isr.  Written in TURBO 'C'.              *
 * Linkable to TURBO or MICROSOFT 'C'.                                        *
 *                                                                            *
 * Copyright (c) 1989, 90 Rick Howard                                         *
 ******************************************************************************/

/* Values returned from the isr */
#define AOK		0
#define NOTLOADED	1
#define NOINIT		2
#define BADCHANNEL	3
#define OVERFLOW	4
#define INSUFFICIENT	5
#define INACTIVE	6
#define EMPTY		7
#define EXHAUSTED	8

/* Printable error list */
static char *sdeErrlist[] = {
	"no error",
	"SDE not loaded",
	"SDE not initialized",
	"invalid channel number",
	"channel full",
	"insufficent data",
	"channel inactive",
	"channel empty",
	"end of data"
};

#define MAXCHANNELS	16
#define CHANNELBYTES	100

int ChannelWrite(int, void *, int);
int ChannelRead(int, void *, int);
int ChannelRewind(int);
int ChannelReset(int);
char *sdeError(int);
